> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contract

> One contract with its per-node-type terms and attached nodes.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/inventory/contracts/{contract_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/inventory/contracts/{contract_id}:
    get:
      tags:
        - admin-inventory
      summary: Get Contract
      description: One contract with its per-node-type terms and attached nodes.
      operationId: get_contract_api_admin_inventory_contracts__contract_id__get
      parameters:
        - name: contract_id
          in: path
          required: true
          schema:
            type: string
            title: Contract Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_InventoryContractDetail_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_InventoryContractDetail_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/InventoryContractDetail'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[InventoryContractDetail]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    InventoryContractDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference
        vendorId:
          type: string
          title: Vendorid
        vendorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendorname
        type:
          type: string
          title: Type
        status:
          type: string
          title: Status
        startDate:
          type: string
          format: date-time
          title: Startdate
        endDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enddate
        billingPeriod:
          type: string
          title: Billingperiod
        paymentTiming:
          type: string
          title: Paymenttiming
        autoRenew:
          type: boolean
          title: Autorenew
        currency:
          type: string
          title: Currency
        continuesFromId:
          anyOf:
            - type: string
            - type: 'null'
          title: Continuesfromid
        nodeCount:
          type: integer
          title: Nodecount
          default: 0
        committedNodeCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Committednodecount
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        noticePeriodDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Noticeperioddays
        extra:
          anyOf:
            - type: object
            - type: 'null'
          title: Extra
        nodeTypes:
          items:
            $ref: '#/components/schemas/InventoryContractNodeTypeSummary'
          type: array
          title: Nodetypes
        nodes:
          items:
            $ref: '#/components/schemas/InventoryContractNodeSummary'
          type: array
          title: Nodes
        continuedByIds:
          items:
            type: string
          type: array
          title: Continuedbyids
      type: object
      required:
        - id
        - name
        - vendorId
        - type
        - status
        - startDate
        - billingPeriod
        - paymentTiming
        - autoRenew
        - currency
      title: InventoryContractDetail
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    InventoryContractNodeTypeSummary:
      properties:
        nodeTypeId:
          type: string
          title: Nodetypeid
        nodeTypeSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Nodetypeslug
        nodeTypeModel:
          anyOf:
            - type: string
            - type: 'null'
          title: Nodetypemodel
        committedNodeCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Committednodecount
        pricePerGpuHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Pricepergpuhr
        pricePerNodeHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Pricepernodehr
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        extra:
          anyOf:
            - type: object
            - type: 'null'
          title: Extra
        attachedNodeCount:
          type: integer
          title: Attachednodecount
          default: 0
      type: object
      required:
        - nodeTypeId
      title: InventoryContractNodeTypeSummary
    InventoryContractNodeSummary:
      properties:
        nodeId:
          type: string
          title: Nodeid
        nodeName:
          type: string
          title: Nodename
        nodeTypeSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Nodetypeslug
        siteSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Siteslug
      type: object
      required:
        - nodeId
        - nodeName
      title: InventoryContractNodeSummary
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````